Latest Unity Hub 3.4.2b1 says: 2023.1.0b11 is not a valid Unity app

As a longtime user and die-hard Unity defender its getting more and more frustrating as ridiculousness is growing and persisting...

Apparently, the recently released Unity beta 2023.1.0b11 switched from a statically linked executable to a small stub exe using Unity.dll. Great you may think..

But wait, there's a catch: the Hub beta released just ~3 days ago does flag this new executable format as an invalid Unity app. So you can't add it to the list of installed editor version ...

Not that i ever wanted this thing like the hub , but apparently i'm forced to use it to even be able to manage my unity assetstore assets..

And on top of that, Unity hub is broken in regards to Unity 2022.2.x Techstream.
No hub version that currently exists is able to install the correct JDK for Android builds, as docker guys are telling. This totally broke our Gitlab/Docker based CI/CD pipline, as the docker guys blame the hub not being able to fetch the correct JDK for android builds ...

All that sums up to a really bad impression ...

1 Like

Hi @spacefrog ,

Thank you for your feedback. I've forwarded it to the team.


The team was able to reproduce this issue and will look into it. For now, you should be able to work around it by holding down ctrl and clicking on the Locate button.